package com.sxyz.rfid.greendao.model;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Property;

import java.io.Serializable;

/**
 * 主要功能: 库区表
 *
 * @Description:
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.greendao.model
 * @author: chunyuanwu
 * @date: 2026年01月16日 14:59
 * @version: 1.0.0
 */
@Entity(nameInDb = "wms_area")
public class WmsArea implements Serializable {
    private static final long serialVersionUID = 1L;
    @Property(nameInDb = "area_id")
    private Long areaId;
    @Property(nameInDb = "area_code")
    private String areaCode;
    @Property(nameInDb = "area_name")
    private String areaName;
    @Property(nameInDb = "warehouse_id")
    private Integer warehouseId;
    @Property(nameInDb = "parent_id")
    private Integer parentId;
    @Property(nameInDb = "area_type")
    private String areaType;
    @Property(nameInDb = "temperature_range")
    private String temperatureRange;
    @Property(nameInDb = "humidity_range")
    private String humidityRange;
    @Property(nameInDb = "capacity")
    private Float capacity;
    @Property(nameInDb = "sort_order")
    private Integer sortOrder;
    @Property(nameInDb = "status")
    private String status;
    @Property(nameInDb = "create_by")
    private String createBy;
    @Property(nameInDb = "create_time")
    private String createTime;
    @Property(nameInDb = "update_by")
    private String updateBy;
    @Property(nameInDb = "update_time")
    private String updateTime;
    @Property(nameInDb = "remark")
    private String remark;
    @Property(nameInDb = "del_flag")
    private String delFlag;
    @Generated(hash = 1099105956)
    public WmsArea(Long areaId, String areaCode, String areaName,
            Integer warehouseId, Integer parentId, String areaType,
            String temperatureRange, String humidityRange, Float capacity,
            Integer sortOrder, String status, String createBy, String createTime,
            String updateBy, String updateTime, String remark, String delFlag) {
        this.areaId = areaId;
        this.areaCode = areaCode;
        this.areaName = areaName;
        this.warehouseId = warehouseId;
        this.parentId = parentId;
        this.areaType = areaType;
        this.temperatureRange = temperatureRange;
        this.humidityRange = humidityRange;
        this.capacity = capacity;
        this.sortOrder = sortOrder;
        this.status = status;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.remark = remark;
        this.delFlag = delFlag;
    }
    @Generated(hash = 630738442)
    public WmsArea() {
    }
    public Long getAreaId() {
        return this.areaId;
    }
    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }
    public String getAreaCode() {
        return this.areaCode;
    }
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    public String getAreaName() {
        return this.areaName;
    }
    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }
    public Integer getWarehouseId() {
        return this.warehouseId;
    }
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }
    public Integer getParentId() {
        return this.parentId;
    }
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
    public String getAreaType() {
        return this.areaType;
    }
    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }
    public String getTemperatureRange() {
        return this.temperatureRange;
    }
    public void setTemperatureRange(String temperatureRange) {
        this.temperatureRange = temperatureRange;
    }
    public String getHumidityRange() {
        return this.humidityRange;
    }
    public void setHumidityRange(String humidityRange) {
        this.humidityRange = humidityRange;
    }
    public Float getCapacity() {
        return this.capacity;
    }
    public void setCapacity(Float capacity) {
        this.capacity = capacity;
    }
    public Integer getSortOrder() {
        return this.sortOrder;
    }
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }
    public String getStatus() {
        return this.status;
    }
    public void setStatus(String status) {
        this.status = status;
    }
    public String getCreateBy() {
        return this.createBy;
    }
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getCreateTime() {
        return this.createTime;
    }
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
    public String getUpdateBy() {
        return this.updateBy;
    }
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getUpdateTime() {
        return this.updateTime;
    }
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
    public String getRemark() {
        return this.remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getDelFlag() {
        return this.delFlag;
    }
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}
